Extending Qt Creator Manual | Token

Extending Qt Creator Manual 4.5.2

# Token Class

(QmlJS::Token)

- List of all members, including inherited members

## Public Types

enum | Kind { EndOfFile, Keyword, Identifier, String, ..., RegExp }

## Public Functions

| Token()
| Token(int o, int l, Kind k)
int | begin() const
int | end() const
bool | is(int k) const
bool | isNot(int k) const

## Member Type Documentation

### enum Token::Kind

## Member Function Documentation

### Token::Token()

Default constructs an instance of Token.

### Token::Token(int o, int l, Kind k)

Default constructs an instance of Token.

### int Token::begin() const

### int Token::end() const

### bool Token::is(int k) const

### bool Token::isNot(int k) const